package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.sop.business.util.excel.BasicExcelRow;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 设备发货导入模板
 * @Author: CaoZixuan
 * @Date: 2023-11-29
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class DeviceDeliveryImportDto extends BasicExcelRow implements Serializable {
    @ExcelProperty(value = "项目单号/项目编号")
    private String crmNo;

    @ExcelProperty(value = "供应商*")
    @NotNull(message = "供应商不能为空")
    @NotBlank(message = "供应商不能为空")
    private String supplierName;

    @ExcelProperty(value = "设备编号*")
    @NotNull(message = "设备编号不能为空")
    @NotBlank(message = "设备编号不能为空")
    private String deviceNo;

    @ExcelProperty(value = "序列号*")
    @NotNull(message = "序列号不能为空")
    @NotBlank(message = "序列号不能为空")
    private String serialNo;

    @ExcelProperty(value = "品牌*")
    @NotNull(message = "品牌不能为空")
    @NotBlank(message = "品牌不能为空")
    private String brand;

    @ExcelProperty(value = "型号*")
    @NotNull(message = "型号不能为空")
    @NotBlank(message = "型号不能为空")
    private String model;

    @ExcelProperty(value = "邮寄地址*")
    @NotNull(message = "邮寄地址不能为空")
    @NotBlank(message = "邮寄地址不能为空")
    private String mailingAddress;

    @ExcelProperty(value = "收件人*")
    @NotNull(message = "收件人不能为空")
    @NotBlank(message = "收件人不能为空")
    private String consignee;

    @ExcelProperty(value = "收件人联系电话*")
    @NotNull(message = "收件人联系电话不能为空")
    @NotBlank(message = "收件人联系电话不能为空")
    private String consigneePhone;

    @ExcelProperty(value = "快递单号*")
    @NotNull(message = "快递单号不能为空")
    @NotBlank(message = "快递单号不能为空")
    private String expressNo;

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getDeviceNo() {
        return deviceNo;
    }

    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getMailingAddress() {
        return mailingAddress;
    }

    public void setMailingAddress(String mailingAddress) {
        this.mailingAddress = mailingAddress;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getConsigneePhone() {
        return consigneePhone;
    }

    public void setConsigneePhone(String consigneePhone) {
        this.consigneePhone = consigneePhone;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }
}

